Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.protocol.http.proxy
Class Daemon

    java.lang.Object
      java.lang.Thread
          org.apache.jmeter.protocol.http.proxy.Daemon

All Implemented Interfaces:
  Runnable

    public class Daemon

extends Thread

Web daemon thread. Creates main socket on port 8080 and listens on it forever. For each client request, creates a proxy thread to handle the request.

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`Thread.State, Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`Daemon(int port, ProxyControl target)` Create a new Daemon with the specified port and target.
`Daemon(int port, ProxyControl target, Class<? extends Proxy> proxyClass)` Create a new Daemon with the specified port and target, using the specified class to handle individual requests.

Method Summary
`void` | `run()` Listen on the daemon port and handle incoming requests.
`void` | `stopServer()` Stop the proxy daemon.

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Daemon

    public Daemon(int port,
                  ProxyControl target)
           throws IOException

  Create a new Daemon with the specified port and target.

  Parameters:
    `port` - the port to listen on.
    `target` - the target which will receive the generated JMeter test components.
  Throws:
    `IOException`

### Daemon

    public Daemon(int port,
                  ProxyControl target,
                  Class<? extends Proxy> proxyClass)
           throws IOException

  Create a new Daemon with the specified port and target, using the specified class to handle individual requests.

  Parameters:
    `port` - the port to listen on.
    `target` - the target which will receive the generated JMeter test components.
    `proxyClass` - the proxy class to use to handle individual requests. This class must be the `Proxy` class or a subclass.
  Throws:
    `IOException`

Method Detail

### run

    public void run()

  Listen on the daemon port and handle incoming requests. This method will not exit until `stopServer()` is called or an error occurs.

  Specified by:
    `run` in interface `Runnable`
  Overrides:
    `run` in class `Thread`

### stopServer

    public void stopServer()

  Stop the proxy daemon. The daemon may not stop immediately. see #ACCEPT_TIMEOUT

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.